This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 717672 - (CVE-2011-2504) CVE-2011-2504 x11perfcomp has dot in its path
CVE-2011-2504 x11perfcomp has dot in its path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110629,reported=20110629,sou...
: Security
Depends On: 856481
Blocks: 855229
  Show dependency treegraph
 
Reported: 2011-06-29 10:37 EDT by Josh Bressers
Modified: 2015-03-09 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-06 06:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2011-06-29 10:37:31 EDT
Xorg upstream alerted us to an issue in the x11perfcomp script. The script
places a '.' in the PATH environment variable which could result in an
attacker being able to execute arbitrary code if a user runs x11perfcomp
from an attacker controlled directory.
Comment 3 errata-xmlrpc 2013-02-21 03:15:40 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0502 https://rhn.redhat.com/errata/RHSA-2013-0502.html
Comment 4 Huzaifa S. Sidhpurwala 2013-02-21 23:13:15 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.